Preview CRM custom object type rename impact
POST
/v1/crm/custom-object-types/{objectKind}/rename-previewAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
objectKindstringrequiredRequest body
requiredapplication/jsonnew_kindstringrequiredResponses
200OK
activity_eventsinteger<int64>requiredattributesinteger<int64>requireddeleted_recordsinteger<int64>requiredenriched_datainteger<int64>requiredexport_jobsinteger<int64>requiredfromstringrequiredimport_jobsinteger<int64>requiredlist_entriesinteger<int64>requiredlistsinteger<int64>requiredmapsobjectrequiredoperationstringrequiredrecord_pagesinteger<int64>requiredrecordsinteger<int64>requiredrelationshipsinteger<int64>requiredtostringrequiredviewsinteger<int64>required400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring409Conflict
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/crm/custom-object-types/string/rename-preview" \
-H "Content-Type: application/json" \
-d '{
"new_kind": "string"
}'const response = await fetch("/v1/crm/custom-object-types/string/rename-preview", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"new_kind": "string"
})
});import requests
response = requests.post(
"/v1/crm/custom-object-types/string/rename-preview",
headers={
"Content-Type": "application/json"
},
json={
"new_kind": "string"
},
)Response
{
"activity_events": 0,
"attributes": 0,
"deleted_records": 0,
"enriched_data": 0,
"export_jobs": 0,
"from": "string",
"import_jobs": 0,
"list_entries": 0,
"lists": 0,
"maps": {},
"operation": "string",
"record_pages": 0,
"records": 0,
"relationships": 0,
"to": "string",
"views": 0
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}